SQLite3Stmt::bindParam
SQLite3Stmt::clear
SQLite3Stmt
PHP Manual

# SQLite3Stmt::bindValue

(PHP 5 >= 5.3.0)

SQLite3Stmt::bindValue — Binds the value of a parameter to a statement variable

### Description

public bool SQLite3Stmt::bindValue ( string `$sql_param` , mixed `$value` [, int `$type` ] )

Binds the value of a parameter to a statement variable.

### Parameters

`sql_param`

  An string identifying the statement variable to which the value should be bound.

`value`

  The value to bind to a statement variable.

`type`

  The data type of the value to bind.

  - SQLITE3_INTEGER: The value is a signed integer, stored in 1, 2, 3, 4, 6, or 8 bytes depending on the magnitude of the value.

  - SQLITE3_FLOAT: The value is a floating point value, stored as an 8-byte IEEE floating point number.

  - SQLITE3_TEXT: The value is a text string, stored using the database encoding (UTF-8, UTF-16BE or UTF-16-LE).

  - SQLITE3_BLOB: The value is a blob of data, stored exactly as it was input.

  - SQLITE3_NULL: The value is a NULL value.

### Return Values

Returns `TRUE` if the value is bound to the statement variable, `FALSE` on failure.

### Examples

Example #1 SQLite3Stmt::bindValue() example

`<?php
unlink('mysqlitedb.db');
$db = new SQLite3('mysqlitedb.db');
$db->exec('CREATE TABLE foo (id INTEGER, bar STRING)');
$db->exec("INSERT INTO foo (id, bar) VALUES (1, 'This is a test')");
$stmt = $db->prepare('SELECT bar FROM foo WHERE id=:id');
$stmt->bindValue(':id', 1, SQLITE3_INTEGER);
$result = $stmt->execute();
var_dump($result->fetchArray());
?>`

SQLite3Stmt::bindParam
SQLite3Stmt::clear
SQLite3Stmt
PHP Manual